"use client";
import { useState, useEffect } from "react";
import useEventListener from "../useEventListener";
export default function useMediaQuery(mediaQuery) {
    var _a = useState(false), isMatch = _a[0], setIsMatch = _a[1];
    var _b = useState(null), mediaQueryList = _b[0], setMediaQueryList = _b[1];
    useEffect(function () {
        var list = window.matchMedia(mediaQuery);
        setMediaQueryList(list);
        setIsMatch(list.matches);
    }, [mediaQuery]);
    useEventListener("change", function (e) { return setIsMatch(e.matches); }, mediaQueryList);
    return isMatch;
}
