"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useScrollRestore() {
    var scrollPosition = (0, react_1.useRef)(0);
    (0, react_1.useEffect)(function () {
        return function () {
            scrollPosition.current = window.scrollY;
        };
    }, []);
    (0, react_1.useEffect)(function () {
        window.scrollTo(0, scrollPosition.current);
    }, []);
    function restoreScrollPosition() {
        window.scrollTo(0, scrollPosition.current);
    }
    ;
    return restoreScrollPosition;
}
;
exports.default = useScrollRestore;
