"use client";
import { __spreadArray } from "tslib";
import { useEffect } from "react";
import useTimeout from "../useTimeout";
export default function useDebounce(callback, delay, dependencies) {
    if (delay === void 0) { delay = 0; }
    if (dependencies === void 0) { dependencies = []; }
    var _a = useTimeout(callback, delay), reset = _a.reset, clear = _a.clear;
    useEffect(reset, __spreadArray(__spreadArray([], (dependencies), true), [reset], false));
    useEffect(clear, []);
}
