"use client";
import { useEffect, useRef } from "react";
import isEqual from "../../util/functions/isEqual";
export default function useDeepCompareEffect(callback, dependencies) {
    var currentDependenciesRef = useRef();
    if (!isEqual(currentDependenciesRef.current, dependencies)) {
        currentDependenciesRef.current = dependencies;
    }
    ;
    useEffect(callback, [currentDependenciesRef.current]);
}
